## org.apache.hadoop.mapreduce.server.tasktracker.userlogs
Class UserLogEvent

    java.lang.Object
      org.apache.hadoop.mapreduce.server.tasktracker.userlogs.UserLogEvent

Direct Known Subclasses:
  DeleteJobEvent, JobCompletedEvent, JobStartedEvent, JvmFinishedEvent

    public abstract class UserLogEvent

extends Object

A directive from the various components of `TaskTracker` to the `UserLogManager` to inform about an event.

Nested Class Summary
`static class` `UserLogEvent.EventType`

Constructor Summary
`protected` `UserLogEvent(UserLogEvent.EventType eventType)`

Method Summary
`UserLogEvent.EventType` `getEventType()` Return the `UserLogEvent.EventType`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserLogEvent

    protected UserLogEvent(UserLogEvent.EventType eventType)

Method Detail

### getEventType

    public UserLogEvent.EventType getEventType()

  Return the `UserLogEvent.EventType`.

  Returns:
    the `UserLogEvent.EventType`.

Copyright © 2009 The Apache Software Foundation